
document.addEventListener("deviceready", 
	function() {
		setStorage("nbTimeLaunched",getStorage("nbTimeLaunched",true)+1);
		if(getStorage("dateMsFirstLaunch",true) == 0){
			setStorage("dateMsFirstLaunch",Date.now());
		}

		if(admobid.preRoll != ""){
			addOptions("preRoll","false");
			//AdMob.prepareInterstitial({adId:admobid.preRoll, autoShow:true});
		}

		var appodealIsActive = parseInt(1) | 0;
		var adincubeIsActive = parseInt(1) | 0;
		if(adincubeIsActive){
			document.addEventListener('AIC-Interstitial-onAdCached', onAdLoadedAIC, false);
			document.addEventListener('AIC-Interstitial-onAdShown', function(){cordovaSetPauseConstruct(false);cordovaSetPauseConstruct(true);}, false);
			document.addEventListener('AIC-Interstitial-onError', interstitialEnd, false);
			document.addEventListener('AIC-Interstitial-onAdClicked', interstitialEnd, false);
			document.addEventListener('AIC-Interstitial-onAdHidden', interstitialEnd, false);
			//setInterval(checkForAICAds, 2000);
		}
		if(typeof(Appodeal) != "undefined" && appodealIsActive) {
			Appodeal.enableInterstitialCallbacks(true);
		}
		document.addEventListener('onInterstitialLoaded', onAdLoaded);
		document.addEventListener('onInterstitialFailedToLoad', interstitialEnd);
		//document.addEventListener('onInterstitialShown', interstitialEnd);
		document.addEventListener('onInterstitialClicked', interstitialEnd);
		document.addEventListener('onInterstitialClosed', interstitialEnd);

	}, false
);

var AIC_interstitialReady = false;

function onLoad() {
	document.addEventListener('deviceready', initApp, false);
}

var ad_units = {
    ios : {
        banner: '',
        interstitial: '/14206847/Mobile-InApp-Interstitial',
        preRoll: '/14206847/Mobile-InApp-preRoll'
    },
    android : {
        banner: '',
        interstitial: '/14206847/Mobile-InApp-Interstitial',
        preRoll: '/14206847/Mobile-InApp-preRoll'
    }
};
var admobid = ( /(android)/i.test(navigator.userAgent) ) ? ad_units.android : ad_units.ios;

function initApp() {
}

//-----------------------------------------------------------------------
var interstitialReady = false;
function cordovaSetPauseConstruct(bool){
	if(typeof(cr_setSuspended) != "undefined") {				
		cr_setSuspended(bool);
	}	
}

function onAdLoaded(e){
	interstitialReady = true;
}

function onAdLoadedAIC(e){
	AIC_interstitialReady = true;
}


function interstitialEnd(e) {
	cordovaSetPauseConstruct(false);
	AIC_interstitialReady = false;
	if(typeof(setAutoShareEnabled) != 'undefined') setAutoShareEnabled(true);
}

function reloadInterstitial(){
	if(typeof(AdMob) == "undefined"){return;}
    if(preRollIsOnLoad){preRollIsOnLoad = false;interstitialReady = false;}
	if(interstitialReady){return;}
	if(admobid.interstitial == "NULL"){ return;}

	addOptions("midRoll","false");
	AdMob.prepareInterstitial({adId:admobid.interstitial, autoShow:false});
}


function cordovaStartPubConstruct(){
	if(typeof(AdMob) != "undefined") {
		if(!interstitialReady){return;}
        cordovaSetPauseConstruct(true);
        if(typeof(setAutoShareEnabled) != 'undefined') setAutoShareEnabled(false);
        AdMob.showInterstitial();
    }

	var appodealIsActive = parseInt(1) | 0;
	if(typeof(Appodeal) != "undefined" && appodealIsActive) {
		Appodeal.isLoaded(Appodeal.INTERSTITIAL, function(result){
			if(result){
                cordovaSetPauseConstruct(true);
                if(typeof(setAutoShareEnabled) != 'undefined') setAutoShareEnabled(false);
				Appodeal.show(Appodeal.INTERSTITIAL);
			}
		});
	}
	var adincubeIsActive = parseInt(1) | 0;
	if(typeof(adincube) != "undefined" && adincubeIsActive && AIC_interstitialReady) {
		cordovaSetPauseConstruct(true);
		if(typeof(setAutoShareEnabled) != 'undefined') setAutoShareEnabled(false);
		adincube.interstitial.show();
		AIC_interstitialReady = false;
	}
	interstitialReady = false;
}

var prerollIsLaunched = false;
function launchPreroll(){
	if(prerollIsLaunched){return;}
	prerollIsLaunched = true;

	//preroll Appodeal
	var appodealIsActive = parseInt(0) | 0;
	if(typeof(Appodeal) != "undefined" && appodealIsActive) {
		Appodeal.isLoaded(Appodeal.INTERSTITIAL, function(result){
			if(result){
                cordovaSetPauseConstruct(true);
				Appodeal.show(Appodeal.INTERSTITIAL);
			}
		});
	}
	var adincubeIsActive = parseInt(0) | 0;

	if(typeof(adincube) != "undefined" && adincubeIsActive && AIC_interstitialReady) {
		cordovaSetPauseConstruct(true);
		adincube.interstitial.show();
		AIC_interstitialReady = false;
	}
}


/*
*	c2LayoutChange(state,name)     : called on construct when layout change
*
*	string state : "in" when enter on the layout, "out" when left the layout
*	string name : name of the layout
*/
var lastLayout = "Loading";
eventToFire.registerEvent("c2LayoutChange",
	function (args){
		var state = args.state;
		var name = args.name;
		var obj = args.obj;

		switch(name) {
		    case "Splash":
		    	if(state == "out"){
					launchPreroll();
				}
		    break;
		    case "LevelSelect":
		    break;
		    case "GameMain":
				if(state == "in"){
					if(lastLayout != "GameMain"){
		    			reloadInterstitial();
					}
		    	}else if(state == "out"){

		    	}
		    break;
		    case "GameOver":
		    	if(state == "in"){
					if(saveAdNb>0){ //do not display an ad
						saveAdNb--;
					}else{
			    		if(timer > timeMinBetweenPub){
			    			timer = 0;
			    			cordovaStartPubConstruct();
			    		}
			    	}
		    	}else if(state == "out"){

		    	}
		    break;
		}
		lastLayout = name;
	}
);

//Set timer Mini between pub
var timeMinBetweenPub = 90;
var sitTimer = setInterval(function(){timer++;},1000);
var timer = timeMinBetweenPub;
var saveAdNb=0;

function addOptions(placement, rewarded){
	var activeFacebook = parseInt(0) | 0;
	var activeIV = parseInt(0) | 0;
	var timeLaunched = getTimeLaunched();
	var installedSince = getInstalledSince();
	installedSince = Math.max(0,((installedSince>5)?((installedSince<10)?5:10):installedSince));
	timeLaunched = Math.max(0,((timeLaunched>5)?((timeLaunched<10)?5:10):timeLaunched))
	var options = {
		fpartner:"PCOR",
		gameCode:"bounceChallengeCG",
		rewarded:rewarded,
		placement:placement,
		launchNb:""+getTimeLaunched(),
		fbSDK:((activeFacebook === 0)?"false":"true"),
		ivSDK:((activeIV === 0)?"false":"true"),
		installedSince:""+getInstalledSince()
	};
}

function getTimeLaunched(){
	//return 1,2,3,4,5,10
	var nb = getStorage("nbTimeLaunched",true);
	return nb;
}

function getInstalledSince(){
	//return 1,2,3,4,5,10
	var tOld = getStorage("dateMsFirstLaunch",true);
	var tNow = Date.now();
	var nb = Math.floor((tNow-tOld)/1000/60/60/24); //ms/seconds/minutes/hours/day
	return nb;
}

function getStorage(id,retInt){
    return ((!retInt)?getLocalStorageItem(id):(parseInt(getLocalStorageItem(id)) || 0));
}

function setStorage(id,nb){
	setLocalStorageItem(id, nb);
}




//--------------------------------------------------------------------
function _weddingDressUp_onNextStep(){
	if(saveAdNb>0){ //do not display an ad
		saveAdNb--;
	}else{
		if(timer > timeMinBetweenPub){
			timer = 0;
			cordovaStartPubConstruct();
		}
	}
}

function _becomeAFashionDesigner_onNextStep(){
	if(saveAdNb>0){ //do not display an ad
		saveAdNb--;
	}else{
		if(timer > timeMinBetweenPub){
			timer = 0;
			cordovaStartPubConstruct();
		}
	}
}